# GearmanWorker::setOptions

(PECL gearman >= 0.5.0)

GearmanWorker::setOptions — Set worker options

### 说明

public GearmanWorker::setOptions(int `$option`): true

Sets one or more options to the supplied value.

### 参数

`option`
  The options to be set

### 返回值

总是返回 `true`。

### 参见

- GearmanWorker::options() - Get worker options
- GearmanWorker::addOptions() - Add worker options
- GearmanWorker::removeOptions() - Remove worker options
- GearmanClient::setOptions() - Set client options

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open